#
# This has been ported by Hiroshi Saito(hiroshi@winpg.jp)
# Copyright notice of the original as below.
#
#
# * << Haru Free PDF Library 2.0.0 >> -- permission.c
# *
# * Copyright(c) 1999-2006 Takeshi Kanno <takeshi_kanno@est.hi-ho.ne.jp>
# *
# * Permission to use, copy, modify, distribute and sell this software
# * and its documentation for any purpose is hereby granted without fee,
# * provided that the above copyright notice appear in all copies and
# * that both that copyright notice and this permission notice appear
# * in supporting documentation.
# * It is provided "as is" without express or implied warranty.
# *
#

@load "pdf"

# ----
# main
# ----

BEGIN{
    text1 = "Congratulations!" 
    text2 = "user can't print and copy this document.";
    owner_passwd = "owner";
    user_passwd = "user";
    fname = "pdf_password.pdf";

    pdf = HPDF_New(NULL, NULL);

    font = HPDF_GetFont(pdf, "Helvetica", NULL);

    page = HPDF_AddPage(pdf);
    HPDF_Page_SetSize(page, HPDF_PAGE_SIZE_B5, HPDF_PAGE_LANDSCAPE);

    HPDF_Page_BeginText(page);
    HPDF_Page_SetFontAndSize(page, font, 32);

    tw = HPDF_Page_TextWidth(page, text1);
    width = (HPDF_Page_GetWidth(page) - tw) / 2;
    height = (HPDF_Page_GetHeight(page)  - 20) / 2;

    HPDF_Page_MoveTextPos(page, width, height);
    HPDF_Page_ShowText(page, text1);
    HPDF_Page_TextOut(page, 70, 100, text2);

    HPDF_Page_SetFontAndSize(page, font, 12);
    HPDF_Page_TextOut(page, 20, 470, fname);

    HPDF_Page_EndText(page);

    HPDF_SetPassword(pdf, owner_passwd, user_passwd);

    HPDF_SetPermission(pdf, HPDF_ENABLE_READ);

    HPDF_SaveToFile(pdf, fname);
    HPDF_Free(pdf);
    #

}

